Bug 28097 - xviewer seg fault, core dump; also, not in application menus
Summary: xviewer seg fault, core dump; also, not in application menus
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal normal
Target Milestone: Mageia 8
Assignee: Joseph Wang
QA Contact:
URL:
Whiteboard:
Keywords: 8rc1, IN_ERRATA8
Depends on:
Blocks:
 
Reported: 2021-01-15 06:31 CET by ben mcmonagle
Modified: 2021-02-24 11:22 CET (History)
4 users (show)

See Also:
Source RPM: xviewer-2.8.1-1.mga8.src.rpm
CVE:
Status comment:


Attachments

Description ben mcmonagle 2021-01-15 06:31:11 CET
Description of problem:attempting to invoke xviewer fails with segementation fault:

$ xviewer

(xviewer:4053): Gtk-WARNING **: 18:28:16.427: Theme parsing error: gtk.css:3:33: Failed to import: Error opening file /home/home/.config/gtk-3.0/window_decorations.css: No such file or directory
Segmentation fault (core dumped)
 

Version-Release number of selected component (if applicable):
ISO:  Mageia-8-rc-i586.iso
DATE: Wed 13 Jan 2021 11:27:14 PM CET

How reproducible:


Steps to Reproduce:
1.install all DE system from above .iso
2.invoke xviwer from terminal
3.observe output
ben mcmonagle 2021-01-15 07:34:16 CET

Keywords: (none) => 8rc1
Target Milestone: --- => Mageia 8

Comment 1 ben mcmonagle 2021-01-15 07:48:31 CET
re-ran install and recheck xviewer failure  - yes

relevant journal output:

Jan 15 19:19:48 localhost kernel: xviewer[2762]: segfault at 1d33 ip b7072ae6 sp bf80c0bc error 4 in libc-2.32.so[b700b000+11b000]
Jan 15 19:19:48 localhost kernel: Code: 66 90 66 90 8b 44 24 04 ba 03 00 00 00 21 c2 74 24 7a 17 38 30 0f 84 9f 00 00 00 40 38 30 0f 84 96 00 00 00 40 83 f2 02 74 0b <38> 30 0f 84 88 00 00 00 40 31 d2 8b 08 83 c0 04 29 ca 81 c1 ff fe
Jan 15 19:19:53 localhost systemd[1865]: tracker-extract-3.service: Succeeded.
ben mcmonagle 2021-01-15 07:48:49 CET

Summary: xviewer seg fault, core dimp => xviewer seg fault, core dump

Comment 2 ben mcmonagle 2021-01-15 07:49:24 CET
another launchGUI find!
Comment 3 Lewis Smith 2021-01-15 15:13:24 CET
[Bow]
Thanks for the report.
This looks like a 32-bit problem, because on my 64-bit system with
 xviewer-2.8.1-1.mga8
$ xviewer
(xviewer:3644): Gtk-WARNING **: 15:00:41.653: Theme parsing error: gtk.css:2:33: Failed to import: Error opening file /home/lewis/.config/gtk-3.0/window_decorations.css: No such file or directory
$
[It starts & works OK; except I cannot get the grey background to change via Preferences; nor find it in the LXDE Graphics menu at least].

Can you confirm the package version (and always when raising a bug).
And whether it happens on a 64-bit system?

Source RPM: (none) => xviewer-2.8.1-1.mga8.src.rpm
CC: (none) => lewyssmith

Comment 4 ben mcmonagle 2021-01-15 20:38:01 CET
yes, only 32 bit.
64 bit install is fine.

ver: xviewer-2.8.1-1.mga8.

will check background in 64 bit.
Comment 5 Lewis Smith 2021-01-17 10:34:36 CET
Thanks for the confirmation.
I also cannot find it in Mate menus.

Assigning to Joseph who recently maintained this SRPM.
- xviewer crashes on 32-bit systems, OK on 64-bit
- it does not show up in the application menus.

CC: lewyssmith => (none)
Summary: xviewer seg fault, core dump => xviewer seg fault, core dump on 32-bit; also, not in application menus
Assignee: bugsquad => joequant

ben mcmonagle 2021-01-27 22:31:17 CET

Priority: Normal => release_blocker

Comment 6 Manuel Hiebel 2021-01-27 22:38:17 CET
How can this be a release blocker ?

it's not on the liveiso
Comment 7 Dave Hodgins 2021-01-27 23:22:29 CET
Changing priority.

CC: (none) => davidwhodgins
Priority: release_blocker => Normal

Comment 8 ben mcmonagle 2021-01-28 00:29:27 CET
package is on Classical Installer .iso.
package is default image viewer for Mate Desktop.

release blocker for 32 bit CI.iso.
Comment 9 Dave Hodgins 2021-01-28 01:21:46 CET
It can be fixed by an update post release. While it is a high priority bug, it
isn't a release blocker.
Comment 10 ben mcmonagle 2021-01-31 23:57:28 CET
(In reply to Lewis Smith from comment #5)
> Thanks for the confirmation.
> I also cannot find it in Mate menus.
> 
it is in cinnamon menu as *Image Viewer*
Comment 11 ben mcmonagle 2021-01-31 23:58:54 CET
(In reply to ben mcmonagle from comment #8)
> package is on Classical Installer .iso.
> package is default image viewer for Mate Desktop.


should be *Cinnamon*DE
Comment 12 Michael Webster 2021-02-04 12:46:24 CET
Probably caused by this:
https://github.com/linuxmint/xviewer/commit/52a95e701e50e4a98b5f8735e5e48e9186f272b4

Fixed in 2.8.3



No idea why it wouldn't show up in the menu.

CC: (none) => miketwebster

Comment 13 Michael Webster 2021-02-04 12:47:37 CET
clarification: that commit *fixes* the 32bit issue, not causes.
Comment 14 Morgan Leijström 2021-02-11 15:05:07 CET
https://wiki.mageia.org/en/Mageia_8_Errata#Various_software

Keywords: (none) => IN_ERRATA8
CC: (none) => fri

Comment 15 Morgan Leijström 2021-02-15 11:39:08 CET
So is this fixed by an RC user making an update?
Comment 16 ben mcmonagle 2021-02-17 09:14:29 CET
(In reply to Morgan Leijström from comment #15)
> So is this fixed by an RC user making an update?

no.

just made a new Cinnamon / mate install from 32 bit RC1 CI and updated to latest.
rebooted for new kernel.

invoked xviewer from terminal.
segfault reported

tried ImageViewer from application launcher menu - silently exits. 

retrieved journal info: 
Feb 17 20:43:23 localhost kernel: xviewer[2318]: segfault at 1d33 ip b70e1a76 sp bfb1a75c error 4 in libc-2.32.so[b707a000+11a000]
Comment 17 Michael Webster 2021-02-17 14:06:31 CET
see my comments above:

https://bugs.mageia.org/show_bug.cgi?id=28097#c12
Comment 18 Morgan Leijström 2021-02-17 15:10:42 CET
"Fixed in 2.8.3" could be read that it was fixed in a pushed package.
Apparently it is not yet, i see by the repo content.

BTW a user reported on our forum that on mga7, xviewer segfaults, and I verify.
No idea what the cause is, but it may be an idea to update it on mga7 too if possible.

https://forums.mageia.org/en/viewtopic.php?f=24&t=13924
Comment 19 Giuseppe Ghibò 2021-02-24 10:24:49 CET
Apparently xviewer crashes also on 64bit, not only on 32bit. Release 2.8.3 is upstream, our svn stops at 2.8.1.

Even upgrading to upstream 2.8.3 hasn't fixed the problem. From backtrace the crash seems originatingat line 105 of file xviewer-job-scheduler.c, i.e. this one:

https://github.com/linuxmint/xviewer/blob/b2849a6088918c4c48eb88b3ad37354165243691/src/xviewer-job-scheduler.c#L105

which is a wait call to g_cond_wait().

CC: (none) => ghibomgx

Morgan Leijström 2021-02-24 11:22:06 CET

Summary: xviewer seg fault, core dump on 32-bit; also, not in application menus => xviewer seg fault, core dump; also, not in application menus
Hardware: i586 => All


Note You need to log in before you can comment on or make changes to this bug.